<?php
/* Programlama: Yakup ÇEVİK */
Class SK {
    /* * Sayfa Ekleme Fonksiyonu * Alacağı Parametreler Formdan Geliyor * Sayfa-Type Sayfa "0" Olduğunu Gösteriyor */
    public function sayfa_ekle($sayfa_baslik,$sayfa_text,$sayfa_title,$sayfa_aciklama,$sayfa_etiket){
        global $db;
        $sayfakayit = $db->select('sayfalar')
            ->where('sayfa_type',0)
            ->from('count(sayfa_id) as total')
            ->total();
        $sayfa_ekle = $db->insert('sayfalar')
            ->set(array(
                'sayfa_baslik'  => $sayfa_baslik,
                'sayfa_seflink' => sef_link($sayfa_baslik),
                'sayfa_type'    => 0,
                'sayfa_text'    => $sayfa_text,
				'sayfa_title'    => $sayfa_title,
				'sayfa_aciklama'    => $sayfa_aciklama,
                'sayfa_etiket'  => $sayfa_etiket,
                'aktifkontrol' => 'aktif',
                'olusturma_tarihi'    =>date('Y-m-d'),
                'duzenleme_tarihi'    =>date('Y-m-d'),
                'sira' => ($sayfakayit+1)
            ));
        if($sayfa_ekle){
            echo '<div class="alert alert-success">
                <strong>Tebrikler!</strong> Sayfa Başarıyla Eklendi.Yönlendiriliyorsunuz.
            </div>';
            git('index.php?do=sayfa&ekle',0);
        }else{
            echo '<div class="alert alert-danger">
                <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.Yönlendiriliyorsunuz.
            </div>';
            git('index.php?do=sayfa&ekle',1);
        }
    }

    /*
     * Eklenen Sayfaları Listeleme Fonksiyonu*/
    public function sayfa_listele(){
        global $db;
        $dataList = array();
        $rowCount = 0;
        $sayfa_listele = $db->select('sayfalar')
            ->where('sayfa_type',0)
            ->run();
        foreach($sayfa_listele as $sayfalar){
            $dataList[$rowCount] = array('sayfa_baslik' => $sayfalar['sayfa_baslik'],'sayfa_seflink' => $sayfalar['sayfa_seflink'],'sayfa_id'  => $sayfalar['sayfa_id']);
            $rowCount++;
        }
        return $dataList;
    }

    /*
     * İd Değerine Göre Sayfa Bilgilerine Erişme
     * 2 Değer Alır. Birincisi Gelen İd İkincisi Sayfa Bilgileri*/
    public function sayfa_bilgileri($gelen,$par){
        global $db;
        $sayfa_bilgileri = $db->select('sayfalar')
            ->where('sayfa_id',$gelen)
            ->run(true);
        return $sayfa_bilgileri[$par];
    }

    /*
     * Sayfa Düzenleme Fonksiyonu*/
    public function sayfa_duzenle($sayfa_baslik,$sayfa_text,$sayfa_title,$sayfa_aciklama,$sayfa_etiket,$gelen){
        global $db;
        $sayfa_duzenle = $db->update('sayfalar')
            ->where('sayfa_id',$gelen)
            ->set(array(
               'sayfa_baslik'   => $sayfa_baslik,
                'sayfa_seflink' => sef_link($sayfa_baslik),
                'sayfa_text'    => $sayfa_text,
				'sayfa_title'    => $sayfa_title,
				'sayfa_aciklama'    => $sayfa_aciklama,
        'duzenleme_tarihi'    =>date('Y-m-d'),
                'sayfa_etiket'  => $sayfa_etiket
            ));
        if($sayfa_duzenle){
            echo '<div class="alert alert-success">
                <strong>Tebrikler!</strong> Sayfa Başarıyla Güncellendi.Yönlendiriliyorsunuz.
            </div>';
            git('index.php?do=sayfa',1);
        }else{
            echo '<div class="alert alert-danger">
                <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.
            </div>';
        }
    }

    /*
     * Sayfa Silme Fonksiyonu
     * Gelen İd Değeri*/
    public function sayfa_sil ($gelen){
        global $db;
        $sayfa_sil = $db->delete('sayfalar')
            ->where('sayfa_id',$gelen)
            ->done();
    /*    if($sayfa_sil){
            echo '<div class="alert alert-success">
                <strong>Tebrikler!</strong> Sayfa Başarıyla Silindi.Yönlendiriliyorsunuz.
            </div>';
            git('index.php?do=sayfa',1);
        }else{
            echo '<div class="alert alert-danger">
                <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.
            </div>';
            git('index.php?do=sayfa',1);
        }*/
        return $sayfa_sil;
    }

    /*
     * Kategori Ekleme Fonksiyonu
     * Sayfa Type "1" Kategori Olduğunu Temsil Ediyor*/
    public function kategori_ekle($sayfa_baslik,$sayfa_title,$sayfa_aciklama,$sayfa_yazisi,$sayfa_etiket,$top){
        global $db;
        $sayfakayit = $db->select('sayfalar')
            ->where('sayfa_type',1)
            ->from('count(sayfa_id) as total')
            ->total();
        $kategori_ekle = $db->insert('sayfalar')
            ->set(array(
                'sayfa_baslik'  => $sayfa_baslik,
                'sayfa_seflink' => sef_link($sayfa_baslik),
                'sayfa_type'    => 1,
                'sayfa_title'  => $sayfa_title,
				'sayfa_aciklama'  => $sayfa_aciklama,
				'sayfa_yazisi'  => $sayfa_yazisi,
				'sayfa_etiket'  => $sayfa_etiket,
                'top'  => $top,
                'aktifkontrol' => 'aktif',
                'olusturma_tarihi'    =>date('Y-m-d'),
                'duzenleme_tarihi'    =>date('Y-m-d'),
                'sira' => ($sayfakayit+1)
            ));
        if($kategori_ekle){
            echo '<div class="alert alert-success">
                <strong>Tebrikler!</strong> Kategoriniz Başarıyla Eklendi.Yönlendiriliyorsunuz.
            </div>';
            git('index.php?do=kategori&ekle',0);
        }else{
            echo '<div class="alert alert-danger">
                <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.
            </div>';
            git('index.php?do=kategori&ekle',1);
        }
    }

    /*
     * Eklenen Kategorileri Listeleme Fonksiyonu*/
    public function kategori_listele(){
        global $db;
        $dataList = array();
        $rowCount = 0;
        $kategori_listele = $db->select('sayfalar')
            ->where('sayfa_type',1)
            ->run();
        foreach($kategori_listele as $kategoriler){
            $dataList[$rowCount] = array('sayfa_baslik' => $kategoriler['sayfa_baslik'],'sayfa_seflink' => $kategoriler['sayfa_seflink'],'sayfa_id'  => $kategoriler['sayfa_id'],'top'  => $kategoriler['top']);
            $rowCount++;
        }
        return $dataList;
    }

    /*
    * Kategori Düzenleme Fonksiyonu*/
    public function kategori_duzenle($sayfa_baslik,$sayfa_title,$sayfa_aciklama,$sayfa_etiket,$sayfa_yazisi,$top,$gelen){
        global $db;
        $kategori_duzenle = $db->update('sayfalar')
            ->where('sayfa_id',$gelen)
            ->set(array(
                'sayfa_baslik'  => $sayfa_baslik,
                'sayfa_seflink' => sef_link($sayfa_baslik),
                'sayfa_title'  => $sayfa_title,
				'sayfa_aciklama'  => $sayfa_aciklama,
				'sayfa_etiket'  => $sayfa_etiket,
				'sayfa_yazisi'  => $sayfa_yazisi,
        'duzenleme_tarihi'    =>date('Y-m-d'),
                'top'  => $top
            ));
        if($kategori_duzenle){
            echo '<div class="alert alert-success">
                <strong>Tebrikler!</strong> Kategori Başarıyla Güncellendi.Yönlendiriliyorsunuz.
            </div>';
            git('index.php?do=kategori',1);
        }else{
            echo '<div class="alert alert-danger">
                <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.
            </div>';
        }
    }

    /*
     * Kategori Silme Fonksiyonu
     * Gelen İd Değeri*/
    public function kategori_sil ($gelen){
        global $db;
        $kategori_sil = $db->delete('sayfalar')
            ->where('sayfa_id',$gelen)
            ->done();
      /*  if($kategori_sil){
            echo '<div class="alert alert-success">
                <strong>Tebrikler!</strong> Kategori Başarıyla Silindi.Yönlendiriliyorsunuz.
            </div>';
            git('index.php?do=kategori',1);
        }else{
            echo '<div class="alert alert-danger">
                <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.
            </div>';
            git('index.php?do=kategori',1);
        }*/
        return $kategori_sil;
    }

 /* * SSS Ekleme Fonksiyonu * Alacağı Parametreler Formdan Geliyor * Sayfa-Type Hizmetin "2" Olduğunu Gösterir */

    public function sss_ekle($sayfa_baslik,$sayfa_text,$hizmeticon){

      global $db;
      $sayfakayit = $db->select('sayfalar')
          ->where('sayfa_type',2)
          ->from('count(sayfa_id) as total')
          ->total();
      $sayfa_ekle = $db->insert('sayfalar')
            ->set(array(
                  'sayfa_baslik'  => $sayfa_baslik,

                  'sayfa_seflink' => sef_link($sayfa_baslik),

                  'sayfa_type'    => 2,

  				'sayfa_text'    => $sayfa_text,

  				'hizmeticon'    => $hizmeticon,
          'sayfa_title'    => "",
          'aktifkontrol'  => 'aktif',
          'sira'    => ($sayfakayit+1),
          'olusturma_tarihi' =>date('Y-m-d'),
          'duzenleme_tarihi' =>date('Y-m-d'),
            ));

        if($sayfa_ekle){

            echo '<div class="alert alert-success">

                <strong>Tebrikler!</strong> Hizmet Başarıyla Eklendi.Yönlendiriliyorsunuz.

            </div>';

            git('index.php?do=sss&ekle',1);

        }else{

            echo '<div class="alert alert-danger">

                <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.Yönlendiriliyorsunuz.

            </div>';

            git('index.php?do=sss&ekle',1);


        }

    }



    /*

     * Eklenen sss Listeleme Fonksiyonu*/

    public function sss_listele(){

        global $db;

        $dataList = array();

        $rowCount = 0;

        $sayfa_listele = $db->select('sayfalar')

            ->where('sayfa_type',2)

            ->run();

        foreach($sayfa_listele as $sayfalar){

            $dataList[$rowCount] = array('sayfa_baslik' => $sayfalar['sayfa_baslik'],'hizmeticon' => $sayfalar['hizmeticon'],'sayfa_seflink' => $sayfalar['sayfa_seflink'],'sayfa_id'  => $sayfalar['sayfa_id']);

            $rowCount++;

        }

        return $dataList;

    }



    /*

     * sss Düzenleme Fonksiyonu*/

    public function sss_duzenle($sayfa_baslik,$sayfa_text,$hizmeticon,$gelen){

        global $db;

        $sss_duzenle = $db->update('sayfalar')

            ->where('sayfa_id',$gelen)

            ->set(array(

               'sayfa_baslik'   => $sayfa_baslik,

                'sayfa_seflink' => sef_link($sayfa_baslik),

                'sayfa_text'    => $sayfa_text,

				'hizmeticon'    => $hizmeticon,
        'duzenleme_tarihi' =>date('Y-m-d')

            ));

        if($sss_duzenle){

            echo '<div class="alert alert-success">

                <strong>Tebrikler!</strong> Hizmet Başarıyla Güncellendi.Yönlendiriliyorsunuz.

            </div>';

            git('index.php?do=sss',1);

        }else{

            echo '<div class="alert alert-danger">

                <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.

            </div>';

        }

    }



    /*

     * sss Silme Fonksiyonu

     * Gelen İd Değeri*/

    public function sss_sil ($gelen){

        global $db;

        $sss_sil = $db->delete('sayfalar')

            ->where('sayfa_id',$gelen)

            ->done();

    /*    if($sss_sil){

            echo '<div class="alert alert-success">

                <strong>Tebrikler!</strong> S.S.S Başarıyla Silindi.Yönlendiriliyorsunuz.

            </div>';

          //  git('index.php?do=sss',1);

        }else{

            echo '<div class="alert alert-danger">

                <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.

            </div>';

            //git('index.php?do=sss',1);

        }*/
        return $sss_sil;

    }



/* * Hizmet 2 Ekleme Fonksiyonu * Alacağı Parametreler Formdan Geliyor * Sayfa-Type Hizmetin "3" Olduğunu Gösterir */

    public function hizmetler_ekle2($sayfa_baslik,$sayfa_text,$sayfa_title,$sayfa_aciklama,$sayfa_etiket,$hizmeticon,$tarih_ayari,$saat_ayari){

      global $db;
      $sayfakayit = $db->select('sayfalar')
          ->where('sayfa_type',3)
          ->from('count(sayfa_id) as total')
          ->total();
      $sayfa_ekle2 = $db->insert('sayfalar')
            ->set(array(
                'sayfa_baslik'  => $sayfa_baslik,

                'sayfa_seflink' => sef_link($sayfa_baslik),

                'sayfa_type'    => 3,

                'sayfa_text'    => $sayfa_text,

				//'sayfa_text'    => $sayfa_title,
                'sayfa_title'    => $sayfa_title,

				//'sayfa_text'    => $sayfa_aciklama,
                'sayfa_aciklama'    => $sayfa_aciklama,

				'hizmeticon'    => $hizmeticon,

                'sayfa_etiket'  => $sayfa_etiket,
                'aktifkontrol'  => 'aktif',
                'olusturma_tarihi' =>date('Y-m-d'),
                'duzenleme_tarihi' =>date('Y-m-d'),
                'tarih_zamanlama'    => $tarih_ayari,
                'saat_zamanlama'    => $saat_ayari,
                  'sira'  => ($sayfakayit+1)
            ));

        if($sayfa_ekle2){

            echo '<div class="alert alert-success">

                <strong>Tebrikler!</strong> Hizmet Başarıyla Eklendi.Yönlendiriliyorsunuz.

            </div>';

            git('index.php?do=hizmetler2&ekle',1);

        }else{

            echo '<div class="alert alert-danger">

                <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.Yönlendiriliyorsunuz.

            </div>';

            git('index.php?do=hizmetler2&ekle',1);

        }

    }



    /*

     * Eklenen Hizmetleri Listeleme Fonksiyonu*/

    public function hizmetler_listele2(){

        global $db;

        $dataList = array();

        $rowCount = 0;

        $sayfa_listele2 = $db->select('sayfalar')

            ->where('sayfa_type',3)

            ->run();

        foreach($sayfa_listele2 as $sayfalar){

            $dataList[$rowCount] = array('sayfa_baslik' => $sayfalar['sayfa_baslik'],'sayfa_title' => $sayfalar['sayfa_title'],'hizmeticon' => $sayfalar['hizmeticon'],'sayfa_aciklama' => $sayfalar['sayfa_aciklama'],'sayfa_etiket' => $sayfalar['sayfa_etiket'],'sayfa_seflink' => $sayfalar['sayfa_seflink'],'sayfa_id'  => $sayfalar['sayfa_id']);

            $rowCount++;

        }

        return $dataList;

    }



    /*

     * Hizmet Düzenleme Fonksiyonu*/

    public function hizmetler_duzenle2($sayfa_baslik,$sayfa_text,$sayfa_title,$sayfa_aciklama,$sayfa_etiket,$hizmeticon,$tarih_ayari,$saat_ayari,$gelen){

        global $db;

        $hizmetler_duzenle2 = $db->update('sayfalar')

            ->where('sayfa_id',$gelen)

            ->set(array(

               'sayfa_baslik'   => $sayfa_baslik,

                'sayfa_seflink' => sef_link($sayfa_baslik),

                'sayfa_text'    => $sayfa_text,

				'sayfa_title'    => $sayfa_title,

				'sayfa_aciklama'    => $sayfa_aciklama,

				'hizmeticon'    => $hizmeticon,

                'sayfa_etiket'  => $sayfa_etiket,
                'tarih_zamanlama'    => $tarih_ayari,
                'saat_zamanlama'    => $saat_ayari,
                'duzenleme_tarihi' =>date('Y-m-d'),

            ));

        if($hizmetler_duzenle2){

            echo '<div class="alert alert-success">

                <strong>Tebrikler!</strong> Hizmet Başarıyla Güncellendi.Yönlendiriliyorsunuz.

            </div>';

            git('index.php?do=hizmetler2',1);

        }else{

            echo '<div class="alert alert-danger">

                <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.

            </div>';

        }

    }



    /*

     * Hizmet Silme Fonksiyonu

     * Gelen İd Değeri*/

    public function hizmetler_sil2 ($gelen){

        global $db;

        $hizmetler_sil2 = $db->delete('sayfalar')

            ->where('sayfa_id',$gelen)

            ->done();
/*
        if($hizmetler_sil2){

            echo '<div class="alert alert-success">

                <strong>Tebrikler!</strong> Hizmet Başarıyla Silindi.Yönlendiriliyorsunuz.

            </div>';

          //  git('index.php?do=hizmetler2',1);

        }else{

            echo '<div class="alert alert-danger">

                <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.

            </div>';

          //  git('index.php?do=hizmetler2',1);

        }*/
        return $hizmetler_sil2;

    }






}


?>
